Bug 818964 - Review Request: staxmate - Light-weight Java framework for streaming XML processing
Review Request: staxmate - Light-weight Java framework for streaming XML proc...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Simacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 848096
  Show dependency treegraph
 
Reported: 2012-05-04 09:40 EDT by gil cattaneo
Modified: 2014-11-01 21:03 EDT (History)
4 users (show)

See Also:
Fixed In Version: staxmate-2.2.1-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-01 12:51:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msimacek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-05-04 09:40:50 EDT
Spec URL: http://gil.fedorapeople.org/staxmate.spec
SRPM URL: http://gil.fedorapeople.org/staxmate-2.0.1-1.fc16.src.rpm
Description: StaxMate is a light-weight framework that
adds convenience to streaming XML-processing
without significant additional overhead. It
builds on top of a Stax (JSR-173) compliant
XML processors such as Woodstox or Sjsxp
(default Stax implementation of JDK 1.6) and
offers two basic abstractions: Cursors, which
build on XMLStreamReaders and Output objects,
which build on XMLStreamWriters.

tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=4052749
Comment 1 Michael Schwendt 2012-05-04 18:32:58 EDT
> Name:          staxmate
> Summary:       StaxMate

Just noticed that extremely poor summary on the New package review tickets page and had to leave a comment. A "short and concise description" of the package should never just repeat the package name.

https://fedoraproject.org/wiki/Packaging:Guidelines#Summary_and_description

Hence almost everything would be better, such as:
Summary: Light-weight Java framework for streaming XML processing
Comment 2 gil cattaneo 2012-05-05 07:40:58 EDT
Spec URL: http://gil.fedorapeople.org/staxmate.spec
SRPM URL: http://gil.fedorapeople.org/staxmate-2.0.1-1.fc16.src.rpm
- summary fixed
Comment 4 Jason Tibbitts 2013-05-19 19:32:16 EDT
I am triaging old review tickets.  I can't promise a review if you reply, but by closing out the stale tickets we can devote extra attention to the ones which aren't stale.

This fails to build for me.  A scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5398899
Comment 5 gil cattaneo 2013-05-20 10:26:35 EDT
hi,
problem was caused by missing build dep: maven-local

Spec URL: http://gil.fedorapeople.org/staxmate.spec
SRPM URL: http://gil.fedorapeople.org/staxmate-2.2.0-1.fc18.src.rpm

- update to 2.2.0

Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=5400121
Comment 7 Pranav Kant 2014-08-30 13:49:05 EDT
Fails for me.
http://koji.fedoraproject.org/koji/taskinfo?taskID=7490440
Comment 9 gil cattaneo 2014-10-23 10:24:58 EDT
Spec URL: http://gil.fedorapeople.org/staxmate.spec
SRPM URL: http://gil.fedorapeople.org/staxmate-2.2.1-1.fc19.src.rpm

- update to 2.2.1
Comment 10 gil cattaneo 2014-10-23 10:33:11 EDT
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=7933903
Comment 11 Michael Simacek 2014-10-23 11:08:04 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 68 files have unknown license. Detailed output of
     licensecheck in /home/msimacek/818964-staxmate/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/maven-metadata
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/maven-metadata
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in staxmate-
     javadoc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: staxmate-2.2.0-2.fc22.noarch.rpm
          staxmate-javadoc-2.2.0-2.fc22.noarch.rpm
          staxmate-2.2.0-2.fc22.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint staxmate staxmate-javadoc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
staxmate (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.codehaus.woodstox:stax2-api)
    mvn(stax:stax-api)

staxmate-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
staxmate:
    mvn(com.fasterxml.staxmate:staxmate)
    mvn(com.fasterxml.staxmate:staxmate:pom:)
    osgi(staxmate)
    staxmate

staxmate-javadoc:
    staxmate-javadoc



Source checksums
----------------
https://github.com/FasterXML/StaxMate/archive/staxmate-2.2.0.tar.gz :
  CHECKSUM(SHA256) this package     : 3cc353d638fe367c0f16f0e73c881e65f45288eb5b264cfcdaf9a42d77e36cc5
  CHECKSUM(SHA256) upstream package : 3cc353d638fe367c0f16f0e73c881e65f45288eb5b264cfcdaf9a42d77e36cc5


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 818964
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Looks good to me. Approved
Comment 12 gil cattaneo 2014-10-23 14:29:24 EDT
Thanks for the review

New Package SCM Request
=======================
Package Name: staxmate
Short Description: Light-weight Java framework for streaming XML processing
Owners: gil
Branches: f21
InitialCC: java-sig
Comment 13 Gwyn Ciesla 2014-10-23 15:40:45 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2014-10-23 17:10:13 EDT
staxmate-2.2.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/staxmate-2.2.1-1.fc21
Comment 15 Fedora Update System 2014-10-27 04:17:36 EDT
staxmate-2.2.1-1.fc21 has been pushed to the Fedora 21 testing repository.
Comment 16 Fedora Update System 2014-11-01 12:51:50 EDT
staxmate-2.2.1-1.fc21 has been pushed to the Fedora 21 stable repository.

Note You need to log in before you can comment on or make changes to this bug.